Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_NetObject_Client

Network replication object, client version.
Contained in: global
Derived from: none
Derived by: none
Group: Network (NetObjects)

#include <ClanLib/network.h>

### public function member index:

### Construction:

`` | `CL_NetObject_Client` | `(`int` `obj_id`, `const` `CL_NetComputer`& `server`, `CL_NetObject_Controller_Generic`* `controller`)`;
`` | `CL_NetObject_Client` | `(`const` `CL_NetObject_Client`& `copy`)`;
``virtual`` | `~CL_NetObject_Client` | `()`;

### Attributes:

``int`` | `get_obj_id` | `() `const``;
``CL_NetComputer`&` | `get_server` | `() `const``;

### Operations:

``void`` | `send` | `(`int` `msg_type`, `const` `CL_NetPacket`& `message`)`;

### Signals:

``CL_Signal_v1`<`CL_NetPacket`& >&` | `sig_received_message` | `(`int` `msg_type`)`;

## Description:

The netobject is a message dispatcher for objects being replicated over the network.
It provides an easy system for a server object to send messages to replicated clients on remote computers, as well as getting answers back.

## Function Member Descriptions:

CL_NetObject_Client::CL_NetObject_Client - NetObject client constructor.
`` `CL_NetObject_Client` `(`int` `obj_id`, `const` `CL_NetComputer`& `server`, `CL_NetObject_Controller_Generic`* `controller`)`;

CL_NetObject_Client::CL_NetObject_Client - Copy constructor.
`` `CL_NetObject_Client` `(`const` `CL_NetObject_Client`& `copy`)`;

CL_NetObject_Client::get_obj_id - Returns the netobject handle that identifies it over the network.
``int`` `get_obj_id` `() `const``;

CL_NetObject_Client::get_server - Returns the netcomputer handle to the server of this object.
``CL_NetComputer`&` `get_server` `() `const``;

CL_NetObject_Client::send - Send a message to the server object.
``void`` `send` `(`int` `msg_type`, `const` `CL_NetPacket`& `message`)`;

CL_NetObject_Client::sig_received_message - Signal emitted when receiving messages of the specified type from the server.
``CL_Signal_v1`<`CL_NetPacket`& >&` `sig_received_message` `(`int` `msg_type`)`;

CL_NetObject_Client::~CL_NetObject_Client - NetObject destructor.
``virtual`` `~CL_NetObject_Client` `()`;

## Variable Member Descriptions: